This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 279221 - gnome-phone-manager times out connecting to my phone
gnome-phone-manager times out connecting to my phone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-phone-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 15:43 EDT by Zack Cerza
Modified: 2008-02-07 14:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 14:26:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-09-05 15:43:30 EDT
Description of problem:
I have a SE W810i, and g-phone-m just times out when it tries to connect to my
phone. Other bluetooth connections to the phone seem to work.

Version-Release number of selected component (if applicable):
gnome-phone-manager-0.10-1.fc8

Additional info:
** Message: bdaddr [my phone]
** Message: New connection device is [my phone] (changed)
** Message: New connection device is [my phone] (not changed)
** Message: Connecting...
** Message: Status 1
** Message: Making serial port connection
conn_complete:  status 0x00

** (gnome-phone-manager:5004): WARNING **: gn_gsm_initialise: Command timed out.
** Message: Failed connection to device on [my phone]
** Message: Exiting connect thread
Comment 1 Zack Cerza 2007-09-06 13:55:07 EDT
I just noticed this on var log messages - I'm not sure if it happened the other
times I've tried.

Sep  6 13:49:24 localhost kernel: 
Sep  6 13:49:24 localhost kernel: =============================================
Sep  6 13:49:24 localhost kernel: [ INFO: possible recursive locking detected ]
Sep  6 13:49:24 localhost kernel: 2.6.23-0.164.rc5.fc8 #1
Sep  6 13:49:24 localhost kernel: ---------------------------------------------
Sep  6 13:49:24 localhost kernel: gnome-phone-man/5081 is trying to acquire lock:
Sep  6 13:49:24 localhost kernel:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8d19354>] l2cap_sock_bind+0x26/0xc5 [l2cap]
Sep  6 13:49:24 localhost kernel: 
Sep  6 13:49:24 localhost kernel: but task is already holding lock:
Sep  6 13:49:24 localhost kernel:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8d7498e>] rfcomm_sock_connect+0x35/0xc2 [rfcomm]
Sep  6 13:49:24 localhost kernel: 
Sep  6 13:49:24 localhost kernel: other info that might help us debug this:
Sep  6 13:49:24 localhost kernel: 2 locks held by gnome-phone-man/5081:
Sep  6 13:49:24 localhost kernel:  #0:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8d7498e>] rfcomm_sock_connect+0x35/0xc2 [rfcomm]
Sep  6 13:49:24 localhost kernel:  #1:  (rfcomm_mutex){--..}, at: [<c063206b>]
mutex_lock+0x21/0x24
Sep  6 13:49:24 localhost kernel: 
Sep  6 13:49:24 localhost kernel: stack backtrace:
Sep  6 13:49:24 localhost kernel:  [<c04063c7>] show_trace_log_lvl+0x1a/0x2f
Sep  6 13:49:24 localhost kernel:  [<c0406e60>] show_trace+0x12/0x14
Sep  6 13:49:24 localhost kernel:  [<c0406e78>] dump_stack+0x16/0x18
Sep  6 13:49:24 localhost kernel:  [<c044970e>] __lock_acquire+0x189/0xc67
Sep  6 13:49:24 localhost kernel:  [<c044a666>] lock_acquire+0x7b/0x9e
Sep  6 13:49:24 localhost kernel:  [<c05c54b6>] lock_sock_nested+0xbc/0xc9
Sep  6 13:49:24 localhost kernel:  [<f8d19354>] l2cap_sock_bind+0x26/0xc5 [l2cap]
Sep  6 13:49:24 localhost kernel:  [<c05c2b5a>] kernel_bind+0xa/0xd
Sep  6 13:49:24 localhost kernel:  [<f8d72a0b>] rfcomm_dlc_open+0x9e/0x20c [rfcomm]
Sep  6 13:49:24 localhost kernel:  [<f8d749e6>] rfcomm_sock_connect+0x8d/0xc2
[rfcomm]
Sep  6 13:49:24 localhost kernel:  [<c05c4329>] sys_connect+0x6a/0x89
Sep  6 13:49:24 localhost kernel:  [<c05c4a1c>] sys_socketcall+0xa7/0x241
Sep  6 13:49:24 localhost kernel:  [<c0405192>] syscall_call+0x7/0xb
Sep  6 13:49:24 localhost kernel:  =======================
Sep  6 13:49:25 localhost hcid[4586]: link_key_request (sba=00:16:CE:ED:4B:38,
dba=00:18:13:1C:A1:33)
Comment 2 Zack Cerza 2007-09-19 13:26:52 EDT
Oops, that was meant for another bug.

Unless this one's a blocker too...

Note You need to log in before you can comment on or make changes to this bug.